@media print {
  html,
  body,
  .wrapper {
    width: 100%;
    height: auto;
    page-break-before: avoid;
    /*  zoom: 100%; */
    margin: 0px !important;
    -webkit-print-color-adjust: exact;
    padding: 0px 6px !important;
  }

  @page {
    text-align: left;
    size: A4;
    margin: 2mm 3mm !important;
    padding: 0mm !important;
  }
  .loading {
    display: none;
  }
  th.first-th-print,
  th.last-th-print {
    width: 30% !important;
  }
  th.last-th-print {
    width: 24% !important;
  }
  th.other-th-print {
    width: 22% !important;
  }
  .row.bon-print2 p {
    margin: 2px 0px;
  }

  .cardTable th {
    background-color: #1b1363 !important;
    color: #fff;
    -webkit-print-color-adjust: exact !important;
    vertical-align: middle;
    padding: 5px 4px !important;

  }
  .cardTable .th {
    width: 10% !important;

  }
    hr.hr
    {
        margin: 1px !important;
        
    }
  .cardTable tr,.cardTable td {
    border: 1px solid #1b1363 !important;
    font-size: 14px;
    padding: 3px 4px !important;
  }
  .cardTable {
    border: 1px solid #1b1363 !important;
    margin: 0% !important;
    margin: 20px 0 20px !important;
    font-size: 14px !important;
    
  }
  .bon-paiement .cardTable th{
    font-size: 11px !important;
    padding: 2px 4px !important;

  }
  .bon-paiement .cardTable td{
    padding: 2px 4px !important;

  }
  .bon_ar .cardTable th{
    font-size: 16px !important;
  }
  .bon_ar .infos , .bon_fr .infos
  {
    max-width: unset !important;
    padding: 7px 5px;

  }
  .bon_ar .col-3.infos table
  {
    float: right;
  }
  .bon_ar .col-3.infos , .bon_fr .col-9.infos
  {
    width:58% !important;
  }
  .bon_ar .infos td,
  .bon_fr .infos td
  {
    vertical-align: top    !important;
  }

  .card-box {
    border: none;
    width: 100%;
    box-shadow: none;
    /* max-width: 559px !important; */
    margin: auto !important;
    padding: 0px 10px !important;
  }
  .bon-magasin
  {
      margin-bottom: 0px !important;
  }

  .bon-magasin img{
    width: 160Px !important;
  }
  .bon-logo img{
    width: 120Px;
  }
  .bon-logo {
    font-size: 34px;
    color: #1b1363 !important;
    letter-spacing: 1px;
    margin-left: 0px !important;
    padding-left: 0px !important;
    text-align: left;
    line-height: 0px !important ;
    margin: 10px 0 5px !important;
     width: 35% !important; 
  }
  .footer-print span
  {
   color: #1b1363;
   font-weight: 800;
  }
  .footer-print
  {
    padding-top: 17px;
    position: fixed;
    font-size: 15px;
    
    width: 95%;
    bottom: 3%;
    border-top: 1px solid #d6d6d6 ;
    left: 50%;
    transform: translate(-50%, -8%);

    text-align: center;
    margin: auto !important;
  }
  .logo-text p {
    margin-top: -9px;
    font-size: 23px;
    font-family: 'Roboto';

  }

  .logo-text b {    
    color: #1b1363;
    font-family: 'Roboto';
    letter-spacing: 0.9px;
    font-size: 25px !important;
  }
  .logo-text  {
    padding: 0px !important;
    margin-right: 0px !important;
    width: 65% !important; 
    text-align: right;
    margin-top: 18px !important;
  }
  .prod-ref
  {
      font-size: 11px !important;
  }
  th:first-child {
    width: fit-content !important;
    /*      text-align: center !important; 
 */
}
.facture .bon-title{
    line-height: 1;
    /*     margin-bottom: 7px !important;
    */    
  }
  .bon-title {
   
    color: #000;
   
    font-weight: 800;
    text-align: left !important ;
    padding: 0px !important;
    width: 100% !important;
    font-size: 18px;
    margin: 25px 0px 0px 0px !important;
  }
  label.text-success,
  span.text-success
  {
    color:gray !important;
  }
  .infos p {
    padding: 2px 4px;
    font-size: 14px;
    border-bottom: 0;
    margin: 0px !important;

  }

  div.background p {
    background-color: #9999991f;
    padding: 2px 5px;
    font-size: 14px;
   /*  border: 1px solid; */
    border-left: 0;
    border-bottom: 0;
    margin: 0px !important;
  }
  label.reste
  {
      text-transform: uppercase;
      color: #000000 !important;
      font-weight: 300 !important;
  }
  label.text-danger,
  span.text-danger
  {
      color: #000000 !important;
      font-size: 13px !important;
  }

  .infos {
    /* display: inline; */
    padding: 10px;
    margin: 0px !important;
    border: 1px solid #a3a3a3;
    min-width: 30% !important;
    max-width: 49% !important; 
    width: fit-content !important;
    height: fit-content !important;
    border-radius: 3px;
  }


  .row.bon-print {
    display: flex !important;
    flex-wrap: nowrap !important;
    justify-content: space-between;
    margin: 0 0 0px 0 !important; 
    padding-bottom: 25px !important;
    border-bottom: 1px solid #dedede;
  }
 .row.bon-print2 {
    display: flex !important;
    flex-wrap: nowrap !important;
    justify-content: space-between;
    margin: 13px 0px 40px 0px !important;
    padding: 0px !important;
  } 
  .bon-paiement .row.bon-print2 {
    margin: 5px 0px 10px 0px !important;
  }
  .cmd-origin
  {
      padding: 0px;
      font-size: 12px !important;
     
  }
  div.boxTotalInfo {
    width: 20%;
    padding: 3px 10px;
  }
  div.boxTotalInfo .row {
    width: 100% !important;
    font-size: 13px!important;
  }
  .form-row.boxTotalInfo .row {
    margin: 0 !important;
  }
  label.col-sm-6,
  div.col-sm-6 {
    width: 50% !important;
  }
  .row.mx-3 {
    margin: 0 !important;
    padding: 0px !important;
    width: 100% !important;
  }

  /*** arabe ****/
  .bon_ar .bon-title , .bon_fr .bon-title
  {
      font-size: 24px !important;
      margin: 0;
      line-height: 1;

  }
  .bon_ar .date_cmd , .bon_fr .date_cmd
  {
    font-size: 13px;
    display: block;
    margin-top: 5px;
  }
  .bon_ar .bon-title, .bon_ar .row.bon-print2,.bon_ar .cardTable,  .bon_ar .boxTotalInfo .row
  {
      text-align: right !important;
  }
  .bon_ar .cardTable {
    margin: 0px 0 10px !important;
    
  }
  
  .bon_ar .row.bon-print2 {
    margin-top: 11px !important;
    margin-bottom: 10px !important;
  }
 
  .bon_ar .bon-logo
  {
      margin-right: 0px !important;
      padding-right: 0px !important;
      font-size: 40px !important;
      margin: 50px 0 15px !important;
      width: 100% !important;
      text-align: center !important;
  }

 
  .bon_ar .background p,.bon_ar .background2 p {
    border-right: 0px solid !important;
    border-left: 1px solid!important;
    font-size: 13px;
  }
  .bon_ar .infos p {
    
    font-size: 14px;
      padding: 3px 3px;
      text-align: right;
  }

  .bon_fr .cardTable {
    margin: 10px 0 10px !important;
  }

  .bon_fr .row.bon-print2 {
    margin-top: 13px !important;
    margin-bottom: 10px !important;
  
  }
 
    .bon_fr .bon-logo
    {
        margin: 50px 0 15px !important;
        font-size: 40px !important;
        width: 100% !important;
        text-align: center !important;

    }
    
      .bon_fr .infos p {
    
        font-size: 14px;
      }

    
}
